Optionally embed SVG symbols into style definition

2014-09-19 04:28 PM - Evan Derickson

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 19541

Description

When exporting styles using the Style Manager, the user should be able to embed the source of any SVG markers directly into the XML

style document. Currently, the style document will externally reference the SVG location, but this makes it harder to distribute styles to

other users. Obviously, embedding the complete source of an SVG into the XML will increase the latter's file size.

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#2 - 2018-09-04 01:50 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in 3.4
